#! /bin/bash
# Copyright (C) 2019-2021:
#   Max Planck Institut fuer extraterrestrische Physik
#
# This file is part of eRosita's ESASS (https://erosita.mpe.mpg.de/). It is free software; you can
# redistribute it and/or modify it under the terms of the GNU General
# Public License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA, or see https://www.gnu.org/licenses/.
#

# script to generate the version.for in the various tasks 
# copied and addapted from a previous sass/setup/ version.csh
# copies ChangeLog to directory $SASS_DIR/ChangeLogs
# HBrunner 2006-09-06

#echo `grep Version ChangeLog` | awk '{print $2}' > VERSION

TASKS_RELEASE=`ls build/task/`
echo $TASKS_RELEASE

currentfolder=`pwd`
echo "currentfolder"
echo $currentfolder

SASS_ROOT="${currentfolder}/../"
export SASS_ROOT
for i in ${TASKS_RELEASE}
do
 #echo "generate version.for in $i"
 cd  ${currentfolder}/build/task/${i}
 newworkingfolder=`pwd`
 #echo "we are in ${newworkingfolder}" 
 `${currentfolder}/version.csh`
 
done
cd ${currentfolder}
